Skip to main content
POST
/
invoice
/
update-transaction
Update invoice transaction
curl --request POST \
  --url https://demo.onlinebillingform.com/api/v2/invoice/update-transaction \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "invoice_id": 123,
  "transaction_id": 123,
  "amount": 123,
  "status": 123,
  "gateway_id": 123,
  "message": "<string>",
  "json_response": "<string>",
  "transaction_key": "<string>"
}
'
import requests

url = "https://demo.onlinebillingform.com/api/v2/invoice/update-transaction"

payload = {
"invoice_id": 123,
"transaction_id": 123,
"amount": 123,
"status": 123,
"gateway_id": 123,
"message": "<string>",
"json_response": "<string>",
"transaction_key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
invoice_id: 123,
transaction_id: 123,
amount: 123,
status: 123,
gateway_id: 123,
message: '<string>',
json_response: '<string>',
transaction_key: '<string>'
})
};

fetch('https://demo.onlinebillingform.com/api/v2/invoice/update-transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true
}
{
"success": false,
"errors": "Invalid API Key"
}
{
"success": false,
"errors": "Insufficient permissions for this endpoint."
}
{
"success": false,
"errors": {
"id": [
"The id field is required."
]
}
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <live_api_key>.

Body

invoice_id
integer
required
transaction_id
integer
required
amount
number
required
status
integer
required
gateway_id
integer
message
string
json_response
string
transaction_key
string

Response

OK

success
boolean